RtPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.RtPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.RtPlugin

Direct Known Subclasses:
  SimpleRtPlugin

    public abstract class RtPlugin

extends GenericPlugin

Nested Class Summary
`protected class` | `RtPlugin.ParsedFile`

Field Summary
`static int` | `APPSERVER`
`static java.lang.String` | `CONFIG_DONTLOG`
`static java.lang.String` | `CONFIG_EUINTERVAL`
`static java.lang.String` | `CONFIG_EULOGDIR`
`static java.lang.String` | `CONFIG_EULOGMASK`
`static java.lang.String` | `CONFIG_INTERVAL`
`static java.lang.String` | `CONFIG_LOGDIR`
`static java.lang.String` | `CONFIG_LOGMASK`
`static java.lang.String` | `CONFIG_SVCID`
`static java.lang.String` | `CONFIG_TRANSFORM`
`static java.lang.String` | `DEFAULT_INTERVAL`
`static int` | `ENDRTTYPE`
`static int` | `ENDUSER`
`static java.lang.String` | `LOGFILE_SUFFIX`
`protected BaseLogParser` | `lp`
`static java.lang.String` | `PARAM_LOG_DIR`
`static int` | `STARTRTTYPE`
`static int` | `UNKNOWN`
`static int` | `WEBSERVER`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`RtPlugin()`

Method Summary
`protected void` | `combineUrls(java.util.Hashtable foundNew, java.util.Hashtable foundOld, java.lang.String transforms)`
`abstract java.lang.String` | `convertFormat(java.lang.String fmt)`
`void` | `dontLog(java.lang.Long stat)`
`void` | `dontLog(java.lang.String url)`
`protected RtPlugin.ParsedFile[]` | `generateFileList(java.util.Properties alreadyParsedFiles, java.lang.String logdir, java.lang.String logmask)`
`static ConfigResponse` | `getConfig(java.lang.String prefix, java.lang.String dir)` Get a properly initialized ConfigResponse for ResponseTime feature
`java.lang.String` | `getEULogFormat(ConfigResponse config)`
`java.lang.String` | `getLogFormat(ConfigResponse config)`
`abstract BaseLogParser` | `getParser()`
`abstract int` | `getSvcType()`
`double` | `getTimeMultiplier()`
`java.util.Collection` | `getTimes(java.lang.Integer svcID, java.util.Properties alreadyParsedFiles, java.lang.String logdir, java.lang.String logmask, java.lang.String logfmt, int svcType, java.lang.String transforms, java.util.ArrayList noLog, boolean collectIPs)`
`static java.lang.String` | `getWebAppLogDir(java.io.InputStream is)` Get the path to the response time log dir webapp filter param
`void` | `setTimeMultiplier(double t)`
`boolean` | `supportsEndUser()`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, init, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lp

    protected BaseLogParser lp

### CONFIG_SVCID

    public static java.lang.String CONFIG_SVCID

### CONFIG_TRANSFORM

    public static java.lang.String CONFIG_TRANSFORM

### CONFIG_DONTLOG

    public static java.lang.String CONFIG_DONTLOG

### CONFIG_INTERVAL

    public static java.lang.String CONFIG_INTERVAL

### CONFIG_LOGDIR

    public static java.lang.String CONFIG_LOGDIR

### CONFIG_LOGMASK

    public static java.lang.String CONFIG_LOGMASK

### CONFIG_EUINTERVAL

    public static java.lang.String CONFIG_EUINTERVAL

### CONFIG_EULOGDIR

    public static java.lang.String CONFIG_EULOGDIR

### CONFIG_EULOGMASK

    public static java.lang.String CONFIG_EULOGMASK

### PARAM_LOG_DIR

    public static final java.lang.String PARAM_LOG_DIR

See Also:
  Constant Field Values

### DEFAULT_INTERVAL

    public static final java.lang.String DEFAULT_INTERVAL

See Also:
  Constant Field Values

### LOGFILE_SUFFIX

    public static final java.lang.String LOGFILE_SUFFIX

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### ENDUSER

    public static final int ENDUSER

See Also:
  Constant Field Values

### WEBSERVER

    public static final int WEBSERVER

See Also:
  Constant Field Values

### APPSERVER

    public static final int APPSERVER

See Also:
  Constant Field Values

### STARTRTTYPE

    public static final int STARTRTTYPE

See Also:
  Constant Field Values

### ENDRTTYPE

    public static final int ENDRTTYPE

See Also:
  Constant Field Values

Constructor Detail

### RtPlugin

    public RtPlugin()

Method Detail

### convertFormat

    public abstract java.lang.String convertFormat(java.lang.String fmt)

### getSvcType

    public abstract int getSvcType()

### getParser

    public abstract BaseLogParser getParser()

### supportsEndUser

    public boolean supportsEndUser()

### getLogFormat

    public java.lang.String getLogFormat(ConfigResponse config)

### getEULogFormat

    public java.lang.String getEULogFormat(ConfigResponse config)

### dontLog

    public void dontLog(java.lang.Long stat)

### dontLog

    public void dontLog(java.lang.String url)

### setTimeMultiplier

    public void setTimeMultiplier(double t)

### getTimeMultiplier

    public double getTimeMultiplier()

### generateFileList

    protected RtPlugin.ParsedFile[] generateFileList(java.util.Properties alreadyParsedFiles,
                                                     java.lang.String logdir,
                                                     java.lang.String logmask)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### combineUrls

    protected void combineUrls(java.util.Hashtable foundNew,
                               java.util.Hashtable foundOld,
                               java.lang.String transforms)

### getTimes

    public java.util.Collection getTimes(java.lang.Integer svcID,
                                         java.util.Properties alreadyParsedFiles,
                                         java.lang.String logdir,
                                         java.lang.String logmask,
                                         java.lang.String logfmt,
                                         int svcType,
                                         java.lang.String transforms,
                                         java.util.ArrayList noLog,
                                         boolean collectIPs)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConfig

    public static ConfigResponse getConfig(java.lang.String prefix,
                                           java.lang.String dir)

  Get a properly initialized ConfigResponse for ResponseTime feature

### getWebAppLogDir

    public static java.lang.String getWebAppLogDir(java.io.InputStream is)

  Get the path to the response time log dir webapp filter param

  Parameters:
    `is` - - an input stream of a webapps web.xml where this filter is defined
  Returns:
    the path to the rtLogDir or null if it was not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.